# -*- coding: utf-8 -*-
# Generated by Django 1.10.5 on 2017-03-27 14:39
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('ippidb', '0005_auto_20170327_1301'),
    ]

    operations = [
        migrations.CreateModel(
            name='ActivityType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50, unique=True, verbose_name='Name')),
            ],
        ),
        migrations.CreateModel(
            name='AdministrationMode',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, max_length=20, null=True, verbose_name='Administration mode')),
            ],
        ),
        migrations.CreateModel(
            name='CmpdAction',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('activation_mode', models.CharField(choices=[('O', 'Orthosteric'), ('A', 'Allosteric'), ('U', 'Unspecified')], max_length=1, verbose_name='Activation mode')),
                ('modulation_type', models.CharField(choices=[('I', 'Inhibition'), ('S', 'Stabilization')], max_length=1, verbose_name='Modulation type')),
                ('complex_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ippidb.ProteinDomainBoundComplex')),
                ('compound_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ippidb.Compound')),
            ],
        ),
        migrations.CreateModel(
            name='CompoundActivityResult',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('activity', models.DecimalField(decimal_places=10, max_digits=12, verbose_name='Activity')),
                ('activity_type_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ippidb.ActivityType')),
                ('compound_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ippidb.Compound')),
                ('test_activity_description_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ippidb.TestActivityDescription')),
            ],
        ),
        migrations.CreateModel(
            name='CompoundCytotoxicityResult',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('toxicity', models.BooleanField(default=False, verbose_name='Toxicity')),
                ('compound_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ippidb.Compound')),
            ],
        ),
        migrations.CreateModel(
            name='CompoundPKResult',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tolerated', models.NullBooleanField(verbose_name='Tolerated')),
                ('auc', models.IntegerField(blank=True, null=True, verbose_name='Area under curve (ng.mL-1.hr)')),
                ('clearance', models.DecimalField(blank=True, decimal_places=3, max_digits=7, null=True, verbose_name='Clearance (mL/hr)')),
                ('cmax', models.DecimalField(blank=True, decimal_places=3, max_digits=7, null=True, verbose_name='Maximal concentration (ng/mL)')),
                ('oral_bioavailability', models.IntegerField(blank=True, null=True, verbose_name='Oral Bioavailability (%F)')),
                ('t_demi', models.IntegerField(blank=True, null=True, verbose_name='t½')),
                ('t_max', models.IntegerField(blank=True, null=True, verbose_name='tmax')),
                ('voldistribution', models.DecimalField(blank=True, decimal_places=2, max_digits=5, null=True, verbose_name='Volume distribution (Vd)')),
                ('compound_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ippidb.Compound')),
            ],
        ),
        migrations.CreateModel(
            name='TestCytotoxDescription',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('test_name', models.CharField(max_length=100, verbose_name='Cytotoxicity test name')),
                ('compound_concentration', models.DecimalField(blank=True, decimal_places=3, max_digits=7, null=True, verbose_name='Compound concentration in μM')),
                ('biblio_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ippidb.Bibliography')),
                ('cell_line', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ippidb.CellLine')),
            ],
        ),
        migrations.CreateModel(
            name='TestPKDescription',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('test_name', models.CharField(max_length=100, verbose_name='Pharmacokinetic test name')),
                ('dose', models.DecimalField(blank=True, decimal_places=4, max_digits=7, null=True, verbose_name='Dose in mg/kg')),
                ('dose_interval', models.IntegerField(blank=True, null=True, verbose_name='Dose interval, in hours')),
                ('administration_mode', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='ippidb.AdministrationMode')),
                ('biblio_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ippidb.Bibliography')),
                ('organism', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ippidb.Taxonomy')),
            ],
        ),
        migrations.AddField(
            model_name='compoundpkresult',
            name='test_pk_description_id',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ippidb.TestPKDescription'),
        ),
        migrations.AddField(
            model_name='compoundcytotoxicityresult',
            name='test_cytotoxicity_description_id',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ippidb.TestCytotoxDescription'),
        ),
        migrations.AlterUniqueTogether(
            name='compoundpkresult',
            unique_together=set([('compound_id', 'test_pk_description_id')]),
        ),
        migrations.AlterUniqueTogether(
            name='compoundcytotoxicityresult',
            unique_together=set([('compound_id', 'test_cytotoxicity_description_id')]),
        ),
        migrations.AlterUniqueTogether(
            name='compoundactivityresult',
            unique_together=set([('compound_id', 'test_activity_description_id', 'activity_type_id')]),
        ),
    ]
